<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme_inc.php
| Theme: Energize
| Author: Matthew
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
function EnergizeSpecialURL($url)
 {
  global $settings;
  
  $return = ("http://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'] == $settings['siteurl'].$url) ? true : false;
  
  return $return;  
 }

function EnergizeSubMenu()
 {
  $query1 = "SELECT link_window, link_visibility, link_url, link_name FROM ".DB_SITE_LINKS." WHERE ".groupaccess('link_visibility')." AND link_position>='2' AND link_url!='---' ORDER BY link_order ASC";
  $sres = dbquery($query1);
  $return = "";
  if(dbrows($sres))
   {
	$i = 0;
	$return .= "<table width='100%' border='0' cellpadding='0' cellspacing='0'>\n";
	$return .= "<tr><td>";
	$return .= "<ul id='nav'>";
	$return .= "<div align='center'>";
	while($sdata = dbarray($sres))
	 {
	  $link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
	  if(strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://"))
	   {
	    $return .= "<li class='top'><a href='".$sdata['link_url']."'$link_target' class='top_link'><span>".$sdata['link_name']."</span></a></li>";
	   }
	  else
	   {
	    $class = (EnergizeSpecialURL($sdata['link_url'])) ? "sil_link" : "top_link";
	    $return .= "<li class='top'><a href='".BASEDIR.$sdata['link_url']."'$link_target' class='$class'><span>".$sdata['link_name']."</span></a></li>";
	   }
	  $i++;
	 }
	$return .= "</div>";
	$return .= "</ul>";
	$return .= "</td></tr>";
	$return .= "</table>";
   } 
  return $return;
 }
?>
